org.apache.ignite.internal.client.thin

## Class ProtocolContext

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ProtocolContext

    public class ProtocolContext
    extends Object

Protocol Context.

### Constructor Summary

Constructors
Constructor and Description
`ProtocolContext(ProtocolVersion ver, EnumSet<ProtocolBitmaskFeature> features)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkFeatureSupported(ProtocolBitmaskFeature feature)` Check that feature is supported by the server.
`EnumSet<ProtocolBitmaskFeature>` `features()`
`boolean` `isFeatureSupported(ProtocolBitmaskFeature feature)`
`boolean` `isFeatureSupported(ProtocolVersionFeature feature)`
`static boolean` `isFeatureSupported(ProtocolVersion ver, ProtocolVersionFeature feature)` Check if the feature was supported in the protocol version.
`ProtocolVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtocolContext

    public ProtocolContext(ProtocolVersion ver,
                           EnumSet<ProtocolBitmaskFeature> features)

Parameters:
  `ver` - Protocol version.
  `features` - Supported features.

### Method Detail

#### isFeatureSupported

    public boolean isFeatureSupported(ProtocolBitmaskFeature feature)

Returns:
  `true` if bitmask protocol feature supported.

#### checkFeatureSupported

    public void checkFeatureSupported(ProtocolBitmaskFeature feature)
                               throws ClientFeatureNotSupportedByServerException

Check that feature is supported by the server.

Parameters:
  `feature` - Feature.
Throws:
  `ClientFeatureNotSupportedByServerException` - If feature is not supported by the server.

#### isFeatureSupported

    public boolean isFeatureSupported(ProtocolVersionFeature feature)

Returns:
  `true` if protocol version feature supported.

#### features

    public EnumSet<ProtocolBitmaskFeature> features()

Returns:
  Supported features.

#### version

    public ProtocolVersion version()

Returns:
  Protocol version.

#### isFeatureSupported

    public static boolean isFeatureSupported(ProtocolVersion ver,
                                             ProtocolVersionFeature feature)

Check if the feature was supported in the protocol version.

Parameters:
  `ver` - Protocol version.
  `feature` - Feature which support should be checked.
Returns:
  `true` if the feature was supported in the protocol version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022